GNU bug report logs - #16928
24.3.50; file _flymake not deleted on remote hosts

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Leo Liu <sdl.web@HIDDEN>; dated Mon, 3 Mar 2014 15:04:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 16928 <at> debbugs.gnu.org:


Received: (at 16928) by debbugs.gnu.org; 7 Mar 2014 15:21:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 07 10:21:36 2014
Received: from localhost ([127.0.0.1]:55025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLwae-0001Jy-8K
	for submit <at> debbugs.gnu.org; Fri, 07 Mar 2014 10:21:36 -0500
Received: from mail-pd0-f175.google.com ([209.85.192.175]:41136)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sdl.web@HIDDEN>) id 1WLwac-0001Jp-3S
 for 16928 <at> debbugs.gnu.org; Fri, 07 Mar 2014 10:21:34 -0500
Received: by mail-pd0-f175.google.com with SMTP id x10so4133010pdj.34
 for <16928 <at> debbugs.gnu.org>; Fri, 07 Mar 2014 07:21:32 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=jF+e/W25bYYIqFEL0rk0q+ZP+QYWqDGpYN4/NQtwi10=;
 b=Mu8eDGE89kxN0fB+usrkRYQIn8EGVUNG7apTMrORhsHIWMmbd/pjoW9eGUyk/F1Bh4
 a0ygwfWmkQjp7T+KW4VqK+m06c40TbR0nsS6JNeuEJzLnJdS/mjkL8KURlq1CaRQvwe6
 akT5CHoPbu0VkPblxYfqKeFedg6N1Q6/CLiZtA7jI6g8VqmG6DKqX/PV+7dVI2vKrd6W
 NXfnSYaVOWDKNPFO1gp6aSgNDjcGWhJO4HwRAgKXeJVLaHXEorBmu51zcYAuii2EIPhg
 o0AkaSvokp7Tr+Nni3yZ1Vdx7ghK6vy9sv2pLWXfv2JbcpEgqaQR91zH65iaVX9c2dIu
 ANYA==
X-Received: by 10.68.224.195 with SMTP id re3mr22622316pbc.93.1394205692492;
 Fri, 07 Mar 2014 07:21:32 -0800 (PST)
Received: from Zeuss-MacBook.local ([123.115.254.22])
 by mx.google.com with ESMTPSA id ha2sm36599071pbb.8.2014.03.07.07.21.28
 for <multiple recipients>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 07 Mar 2014 07:21:31 -0800 (PST)
From: Leo Liu <sdl.web@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#16928: 24.3.50; file _flymake not deleted on remote hosts
References: <m1r46jgwal.fsf@HIDDEN> <87iorugl7d.fsf@HIDDEN>
 <m1txbef3ky.fsf@HIDDEN> <878usqggm8.fsf@HIDDEN>
 <87zjl2ytud.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAMFBMVEUaFRZLMy1dTENxVzKQ
 WiCrXQ97cmO/dSqSh3akjGTApXy5sJ7Sxo/Sz8Xo6eP9//xJbkruAAAAAWJLR0QAiAUdSAAAAAlw
 SFlzAAACxQAAAsUBidZ/7wAAAAd0SU1FB9cBBwMJOwHXewoAAAIBSURBVCjPVdNBiNNAFADQ6J4F
 x3hThHZBBC+WCFI8SS0iezRDcMHLHkLAg6gJH/fgYQ9xYlj2sLK4KHgqCgXFhda2Idmr4kkQPZQ0
 nkQMbTypbMmMM2m7ZgYSmMef/5OZPwo7HFnx3uKPcmj0Dht1LWZJ+Hvr7dIFZXRUwl9VRTuuKDJ+
 U44gjscknK4hhJaCkYRsWjmBtLqXlJAG2wipNe18OZJu1BBq1E8xafl4s6Jq2mUZGftU1y7CCxnp
 FVUDWJXx4C66BKBnErbuoaYNtoRTu6EZBsCbMn7W+5qOAR6WvxNOby9jHWC9hAf3n304CdiAByXs
 3Nh9roLDkyb/sWV712vYwaLSAn8CPMHIAAzOPDKP2COAFm4Y4ODVWc6xG7KXsN7UeUJjjimx2uwd
 gCgNhr0i8C/xyCD5CiCKAMY3Bf5oDzx//w/fimscdcAZU2jv9sedx6+nYPPFIoWI/GK6QZ+EFGOR
 ErAjCnV3vPZ7XqlTIMbOLY7fLcvvmT7rXNWaGDexIY44N12TG2PDp7vqyl57dnCeuWwyNpnEURxk
 fTbDYeBnKRn4oejPYI4sH6WviBumEZ/GxX4X/x6EcURFZ7E071bjQGAxpcOAEOJuTiroDEea5Szv
 rVWLYfl7ZiQwSUToxrkux7OLixAWGz22+HIyWTRYcVfomOwvzusfjtVIGgLHf3MAAAAASUVORK5C
 YII=
Date: Fri, 07 Mar 2014 23:21:20 +0800
In-Reply-To: <87zjl2ytud.fsf@HIDDEN> (Michael Albinus's message of "Fri, 07
 Mar 2014 15:19:22 +0100")
Message-ID: <m1fvmuxcen.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (OS X 10.9.2)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16928
Cc: 16928 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 2014-03-07 22:19 +0800, Michael Albinus wrote:
> I've checked further, there are still problems. A fix seems to be more
> complex than expected, it must wait until the trunk is reopened (I fear
> I could damage Tramp so close to the release).
>
> For the time being, I have added `tramp-test31-asynchronous-requests' to
> Tramp's test cases. It will fail until the bug is fixed.

Thank you. It seems best for now.

Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16928; Package emacs. Full text available.

Message received at 16928 <at> debbugs.gnu.org:


Received: (at 16928) by debbugs.gnu.org; 7 Mar 2014 14:19:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 07 09:19:40 2014
Received: from localhost ([127.0.0.1]:54340 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WLvci-0007yv-7V
	for submit <at> debbugs.gnu.org; Fri, 07 Mar 2014 09:19:40 -0500
Received: from mout.gmx.net ([212.227.15.15]:50614)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <michael.albinus@HIDDEN>) id 1WLvce-0007yi-TS
 for 16928 <at> debbugs.gnu.org; Fri, 07 Mar 2014 09:19:37 -0500
Received: from detlef.gmx.de ([93.202.53.70]) by mail.gmx.com (mrgmx001) with
 ESMTPS (Nemesis) id 0Lrviw-1XKoET2UdK-013iCQ;
 Fri, 07 Mar 2014 15:19:35 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#16928: 24.3.50; file _flymake not deleted on remote hosts
References: <m1r46jgwal.fsf@HIDDEN> <87iorugl7d.fsf@HIDDEN>
 <m1txbef3ky.fsf@HIDDEN> <878usqggm8.fsf@HIDDEN>
Date: Fri, 07 Mar 2014 15:19:22 +0100
In-Reply-To: <878usqggm8.fsf@HIDDEN> (Michael Albinus's message of "Tue, 04
 Mar 2014 15:53:19 +0100")
Message-ID: <87zjl2ytud.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:3sdHfKl70odblSr89CG8NrWEdeFrBRQ0XGg3DGHiBD/5KHQc6Py
 HoTMwSqbR0bAGP11SSdmO+RIr5ihrcmHrP9CSQYeGvIxyxEHBCoGqUq5ewvQ+Rs6lHYEf/q
 ALKVBynmTFYCGFlGQFBLUr6j1pdtzY78jldU+8fCh9WmNNX9VN+aPZklmHs37XxhhWQItjg
 vB3N+Vp/D+t0XRJpQBl1Q==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16928
Cc: 16928 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Michael Albinus <michael.albinus@HIDDEN> writes:

> Leo Liu <sdl.web@HIDDEN> writes:
>
>> I see. Maybe it is better for flymake to just call delete-file without
>> the file-exists-p check ignoring any error. I have found other cases
>> where _flymake files are left behind.
>
> You could try. But i'm not 100% sure that we don't run into a similar
> situation.

I've checked further, there are still problems. A fix seems to be more
complex than expected, it must wait until the trunk is reopened (I fear
I could damage Tramp so close to the release).

For the time being, I have added `tramp-test31-asynchronous-requests' to
Tramp's test cases. It will fail until the bug is fixed.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16928; Package emacs. Full text available.

Message received at 16928 <at> debbugs.gnu.org:


Received: (at 16928) by debbugs.gnu.org; 4 Mar 2014 14:53:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 04 09:53:36 2014
Received: from localhost ([127.0.0.1]:49965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKqit-0003DM-Po
	for submit <at> debbugs.gnu.org; Tue, 04 Mar 2014 09:53:36 -0500
Received: from mout.gmx.net ([212.227.15.15]:54907)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <michael.albinus@HIDDEN>) id 1WKqip-0003DA-3c
 for 16928 <at> debbugs.gnu.org; Tue, 04 Mar 2014 09:53:32 -0500
Received: from detlef.gmx.de ([87.146.43.145]) by mail.gmx.com (mrgmx002) with
 ESMTPS (Nemesis) id 0LrePN-1XL1e82pPZ-013Qo7 for
 <16928 <at> debbugs.gnu.org>; Tue, 04 Mar 2014 15:53:29 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#16928: 24.3.50; file _flymake not deleted on remote hosts
References: <m1r46jgwal.fsf@HIDDEN> <87iorugl7d.fsf@HIDDEN>
 <m1txbef3ky.fsf@HIDDEN>
Date: Tue, 04 Mar 2014 15:53:19 +0100
In-Reply-To: <m1txbef3ky.fsf@HIDDEN> (Leo Liu's message of "Tue, 04 Mar
 2014 22:20:13 +0800")
Message-ID: <878usqggm8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:l2UQb0viXV789JdBn/vLT604AqO7MvvaP+/hAqlQZbj5OtH+eqB
 IusPLDDuGS0/aoo4HfIOO2OtOpCXq0R9SRHhQORXTCp6ocMnR234hegLtdmytuGeLHMu0vn
 ci09B57F9/01OBgsMY01UcOdWnPlkaP5Va5gZWl2pK1SFl9SlKV6kPf1TgwkuolcfTwnhvO
 suljbTEMwU46YouWUmFDg==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16928
Cc: 16928 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Leo Liu <sdl.web@HIDDEN> writes:

> I see. Maybe it is better for flymake to just call delete-file without
> the file-exists-p check ignoring any error. I have found other cases
> where _flymake files are left behind.

You could try. But i'm not 100% sure that we don't run into a similar
situation.

However, Tramp's `delete-file' handler doesn't get a special handling in
`vc-find-file-hook', so it might work.

> Thanks.
>
> Leo

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16928; Package emacs. Full text available.

Message received at 16928 <at> debbugs.gnu.org:


Received: (at 16928) by debbugs.gnu.org; 4 Mar 2014 14:20:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 04 09:20:26 2014
Received: from localhost ([127.0.0.1]:49887 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKqCn-0001Bh-Pw
	for submit <at> debbugs.gnu.org; Tue, 04 Mar 2014 09:20:26 -0500
Received: from mail-pd0-f171.google.com ([209.85.192.171]:65531)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sdl.web@HIDDEN>) id 1WKqCl-0001BX-6V
 for 16928 <at> debbugs.gnu.org; Tue, 04 Mar 2014 09:20:23 -0500
Received: by mail-pd0-f171.google.com with SMTP id r10so5188262pdi.2
 for <16928 <at> debbugs.gnu.org>; Tue, 04 Mar 2014 06:20:22 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=lU9292e/OASMvrcyfIoSGAIQi6jmb4HvCqj7i4FAuYo=;
 b=oD1+3ALoLFEcH0w6m+8UcfxeRmSJBs48AdGSMZtMqBL5VcmUwoQcVS+66FExrXI9W4
 tk9GQ2By1u9rAQXFL+hAljjNyI8+G/I7uBy+wXpkTmVLtEXYJdHWduxDgrZxfKtEUr7d
 FoDM6uuEoF7ZFSojHpjtFp38nj0ljn517BTFVspObfG9ZmgsLc4V+jaJrS4pe1gNQuNt
 dw33edMQusuIxblrmCYaLI18qwsoXiQCjBooG7osQZ5g/mdo8FFncj0RhZeC56sVggxC
 EqjKJ0sOuVdEmuQxkBSyAJv9960oUlyxsKf53xu5L8X9StRjyMc0PsZz5iFzKNK5ej8V
 xmZQ==
X-Received: by 10.68.238.201 with SMTP id vm9mr26636629pbc.18.1393942822180;
 Tue, 04 Mar 2014 06:20:22 -0800 (PST)
Received: from Zeuss-MacBook.local ([222.130.177.23])
 by mx.google.com with ESMTPSA id x5sm48405973pbw.26.2014.03.04.06.20.20
 for <multiple recipients>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 04 Mar 2014 06:20:21 -0800 (PST)
From: Leo Liu <sdl.web@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#16928: 24.3.50; file _flymake not deleted on remote hosts
References: <m1r46jgwal.fsf@HIDDEN> <87iorugl7d.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAElBMVEUAAAAAAP+LRRP0pGC+
 vr7///+7mT1iAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9cBBwMO
 DhglKe4AAAEsSURBVCjPbZNBboQwDEV/Cd4X9QJRThApmn0XYW+Jyf2v0m+HhqDBgiAe9rcTG7QH
 w/1Vn2Ar8gBb/ocywSN3qK9T3z4eFDB4eApocBpeBs1RSykoJd8gQcm8pGmHXFso3ajnmsqV0TnY
 DQkOfXUfN5NwaI7AWTVOyEhcu1aHmdWItHddUVUcUgUBCkitu8V6ditHVOVdqzl2EQ1ZVGTbdK0V
 7cqn8vWzoU5Q/bF9Y/Y0cRU1xwkys5dJ+Dt6pBDWifcNQml8Gh2JVmPSoQzo7en0grswkxrUGYJ7
 0hSxxAGr7ZMwYcHIzprpi7TENEE1xtiYxixRlCfPBsUUrwHD7uGIwATrbnODJcVrPpVn3hxiGloe
 m/S+z3CtuzUSMo83N4DPH+F0evwR3P4A2k+75838OKQAAAAASUVORK5CYII=
Date: Tue, 04 Mar 2014 22:20:13 +0800
In-Reply-To: <87iorugl7d.fsf@HIDDEN> (Michael Albinus's message of "Tue, 04
 Mar 2014 14:14:14 +0100")
Message-ID: <m1txbef3ky.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (OS X 10.9.2)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16928
Cc: 16928 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

On 2014-03-04 21:14 +0800, Michael Albinus wrote:
> Yes, I could reproduce it. The problem is, that flymake starts an
> asynchronous process. It's sentinel calls then flymake-simple-cleanup,
> which fires file-exists-p to an unpredictable time.
>
> After serving flymake-find-file-hook, find-file has continued with the
> other functions in find-file-hook. When the file-exists-p call from the
> sentinel happened, Tramp was busy with requests from
> vc-find-file-hook. And since Tramp is designed to work sequentially, it
> couldn't serve promptly :-(

I see. Maybe it is better for flymake to just call delete-file without
the file-exists-p check ignoring any error. I have found other cases
where _flymake files are left behind.

> As temporary workaround, you could try
>
> (add-hook 'find-file-hook 'flymake-find-file-hook 'append)

Thanks, will use it for now.

> I will check, whether Tramp could be enabled to handle such
>asynchronous
> calls. 

Thanks.

Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16928; Package emacs. Full text available.

Message received at 16928 <at> debbugs.gnu.org:


Received: (at 16928) by debbugs.gnu.org; 4 Mar 2014 13:14:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 04 08:14:29 2014
Received: from localhost ([127.0.0.1]:49863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKpAy-0007sm-ML
	for submit <at> debbugs.gnu.org; Tue, 04 Mar 2014 08:14:28 -0500
Received: from mout.gmx.net ([212.227.15.18]:62839)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <michael.albinus@HIDDEN>) id 1WKpAw-0007sd-5q
 for 16928 <at> debbugs.gnu.org; Tue, 04 Mar 2014 08:14:27 -0500
Received: from detlef.gmx.de ([87.146.43.145]) by mail.gmx.com (mrgmx102) with
 ESMTPS (Nemesis) id 0Mb31L-1Weq6N0MGJ-00KhuM for
 <16928 <at> debbugs.gnu.org>; Tue, 04 Mar 2014 14:14:24 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#16928: 24.3.50; file _flymake not deleted on remote hosts
References: <m1r46jgwal.fsf@HIDDEN>
Date: Tue, 04 Mar 2014 14:14:14 +0100
In-Reply-To: <m1r46jgwal.fsf@HIDDEN> (Leo Liu's message of "Mon, 03 Mar
 2014 23:02:26 +0800")
Message-ID: <87iorugl7d.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:tc2fKdUgmZlCC1fDh4ubTh3rTvOH3yRJW2seuSQ+z5zHhcmYtM/
 3grcOqfrQcwFc7zYu78f0A8cyLSatHi8mVY+Pz2Nzu7HuREcPRHwbMzeQO/GYZ/DJNTTkOy
 t9WJl8AG5iKsTw/40aq9Bzy3a+qQk5rCj4NhXpnD6rVCFGAwSlB+jRuCyyrUgKbCaB3+UZN
 UGec9SVkzfjEY5yp9wdBQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 16928
Cc: 16928 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

Leo Liu <sdl.web@HIDDEN> writes:

> 1. emacs -q
> 2. (add-hook 'find-file-hook 'flymake-find-file-hook)
> 3. make sure the php executable is available
> 4. save https://github.com/drupal/drupal/raw/7.x/update.php in a remote
>    host
> 5. open it in emacs
>
> And I see update_flymake.php not being deleted (cleaned up). So it seems
> at the time flymake-simple-cleanup was called, (file-exists-p
> "/host:/path/to/update_flymake.php") returned false.

Yes, I could reproduce it. The problem is, that flymake starts an
asynchronous process. It's sentinel calls then flymake-simple-cleanup,
which fires file-exists-p to an unpredictable time.

After serving flymake-find-file-hook, find-file has continued with the
other functions in find-file-hook. When the file-exists-p call from the
sentinel happened, Tramp was busy with requests from
vc-find-file-hook. And since Tramp is designed to work sequentially, it
couldn't serve promptly :-(

As temporary workaround, you could try

(add-hook 'find-file-hook 'flymake-find-file-hook 'append)

I will check, whether Tramp could be enabled to handle such asynchronous
calls. 

> Leo

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#16928; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Mar 2014 15:03:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 03 10:03:17 2014
Received: from localhost ([127.0.0.1]:49237 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WKUOi-0004bt-Tl
	for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 10:03:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36759)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <sdl.web@HIDDEN>) id 1WKUOf-0004bj-M4
 for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 10:03:14 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sdl.web@HIDDEN>) id 1WKUOa-00053D-85
 for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 10:03:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:39356)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sdl.web@HIDDEN>) id 1WKUOa-000539-4r
 for submit <at> debbugs.gnu.org; Mon, 03 Mar 2014 10:03:08 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38443)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sdl.web@HIDDEN>) id 1WKUOU-0007lG-Q4
 for bug-gnu-emacs@HIDDEN; Mon, 03 Mar 2014 10:03:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sdl.web@HIDDEN>) id 1WKUOP-0004zB-C5
 for bug-gnu-emacs@HIDDEN; Mon, 03 Mar 2014 10:03:02 -0500
Received: from mail-pd0-x236.google.com ([2607:f8b0:400e:c02::236]:44552)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sdl.web@HIDDEN>) id 1WKUOP-0004yu-3T
 for bug-gnu-emacs@HIDDEN; Mon, 03 Mar 2014 10:02:57 -0500
Received: by mail-pd0-f182.google.com with SMTP id g10so3784390pdj.41
 for <bug-gnu-emacs@HIDDEN>; Mon, 03 Mar 2014 07:02:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=5/8Ziepx7VBpjxPq9pg/cEnq9ZiYGCzrxM6l2TiWAkw=;
 b=Hjk/SXTz2BxBmWwsR9iggukBBntAXJ9GkvrcRh2VVLGrO9gE766K8mbloCcaynGbrs
 gTCUHK/rrjqFgQ3ys7ZY2yD7U9KlwF5H1nqIPpIZlcK6ZYQ5udx5zh9b4mHJBYxzmswr
 S984iDFcgl3tyKRsnkBImT9BBCta4QQL4bXswVDryZI+zVNVeoX9Xuge3Etkuh7tTN77
 +XM1/KokOdsHt4fdZB++f/b9cEGxhbIsxWniKXvQRpXb8TGxnLM0D5+UznA1rbPJsScS
 1LxyfpEwqGU0ULIPupqP4gPAabwhxpILrg8gMA+c3zsDv/OYfdwTMvk5cnEb7olE4w7V
 bMCw==
X-Received: by 10.68.37.42 with SMTP id v10mr6553498pbj.127.1393858975476;
 Mon, 03 Mar 2014 07:02:55 -0800 (PST)
Received: from Zeuss-MacBook.local ([222.130.177.23])
 by mx.google.com with ESMTPSA id op3sm37370698pbc.40.2014.03.03.07.02.41
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 03 Mar 2014 07:02:54 -0800 (PST)
From: Leo Liu <sdl.web@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; file _flymake not deleted on remote hosts
X-Debbugs-CC: Michael Albinus <michael.albinus@HIDDEN>
Date: Mon, 03 Mar 2014 23:02:26 +0800
Message-ID: <m1r46jgwal.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

1. emacs -q
2. (add-hook 'find-file-hook 'flymake-find-file-hook)
3. make sure the php executable is available
4. save https://github.com/drupal/drupal/raw/7.x/update.php in a remote
   host
5. open it in emacs

And I see update_flymake.php not being deleted (cleaned up). So it seems
at the time flymake-simple-cleanup was called, (file-exists-p
"/host:/path/to/update_flymake.php") returned false.

This is kinda annoying because after a while I see lots of _flymake*
files in the project.

Leo




Acknowledgement sent to Leo Liu <sdl.web@HIDDEN>:
New bug report received and forwarded. Copy sent to michael.albinus@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to michael.albinus@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#16928; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.